Subject: Re: [PATCH] gitignore(5): Allow "foo/" in ignore list to match directory "foo"

From: Adam Piatyszek <[email-masked]>
Date: Thu, 31 Jan 2008 13:29:27 +0100

* Johannes Schindelin [31 I 2008 12:38]:
> Just to add my two eurocents: I think the patch is complicated enough that 
> we could go the other way round: while parsing the ignore entries, we can 
> plainly state that entries with a trailing slash are ignored:
> 
> -- snipsnap --
> [PATCH] Warn if an ignore/exclude entry ends in a slash
> 
> Git does not like ignore entries ending in a slash; they will be ignored.
> So just be honest and warn the user about it.
> 
> Signed-off-by: Johannes Schindelin <[email-masked]>

I agree that this is a reasonable remedy for this issue. So:

Acked-by: Adam Piątyszek <[email-masked]>

BTW, the warning message is a bit "hidden" between the "Changed" and 
"Untracked" parts of a status message, e.g.:

===== >8 =====
# On branch master
# Changed but not updated:
#   (use "git add <file>..." to update what will be committed)
#
#       modified:   src/Makefile
#       modified:   src/ofdm.cpp
#
warning: Ignoring ignore entry because of trailing slash: results/
# Untracked files:
#   (use "git add <file>..." to include in what will be committed)
#
#       results/
no changes added to commit (use "git add" and/or "git commit -a")
===== >8 =====

Is it possible to make warnings displayed in red or yellow colour on 
terminals that support colours?

BR,
/Adam

-- 
.:.  Adam Piatyszek (ediap)  .:.....................................:.
.:.  [email-masked]  .:................................:.